float4x4 view_proj_matrix;

struct VS_OUTPUT
{
   float4 pos      : POSITION;
   float3 normal   : TEXCOORD0;
   float2 texCoord : TEXCOORD1;
};

VS_OUTPUT main(float4 inPos  : POSITION,float3 inNorm : NORMAL,float2 inTex : TEXCOORD0)
{
   VS_OUTPUT Out = (VS_OUTPUT) 0; 
   Out.pos = mul( view_proj_matrix, inPos ); 
   Out.normal = inNorm;
   Out.texCoord = inTex;

   return Out;
}
